# Create Staking Order Endpoint: PUT /staking/v5/stakingOrders/{id} Version: 1.5.0 Security: ## Path parameters: - `id` (string, required) Unique identifier. ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Request fields (application/json-patch+json): - `fromAccountNumber` (string) Account that is debited. - `toAccountNumber` (string,null) Account that is credited. - `productId` (string,null) Id of product to stake for. Required if ToAccountNumber is null. If ToAccountNumber is set, it uses the product of the staking account - in that case ProductId cannot be input. - `amount` (number) Amount to move from debit to credit account. - `externalReference` (string,null) External reference (not unique, not required) to allow the source system to correlate external events within the Staking system. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 200 fields ## Response 204 fields ## Response 401 fields ## Response 403 fields